org.pentaho.reporting.libraries.resourceloader.factory

## Class AbstractFactoryModule

- java.lang.Object
- - org.pentaho.reporting.libraries.resourceloader.factory.AbstractFactoryModule

All Implemented Interfaces:
  FactoryModule

Direct Known Subclasses:
  AbstractSVGFactoryModule, AbstractWMFFactoryModule, GIFImageFactoryModule, ImageIOFactoryModule, JPEGImageFactoryModule, PNGImageFactoryModule

    public abstract class AbstractFactoryModule
    extends java.lang.Object
    implements FactoryModule

Creation-Date: 05.04.2006, 17:44:42

Author:
  Thomas Morgner

### Field Summary

### Fields inherited from interface org.pentaho.reporting.libraries.resourceloader.factory.FactoryModule

`FEELING_LUCKY, RECOGNIZED_CONTENTTYPE, RECOGNIZED_FILE, RECOGNIZED_FINGERPRINT, REJECTED`

### Method Summary

Methods
`int` `canHandleResource(ResourceManager caller, ResourceData data)`
`int` `getHeaderFingerprintSize()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.pentaho.reporting.libraries.resourceloader.factory.FactoryModule

`create`

### Method Detail

#### getHeaderFingerprintSize

    public int getHeaderFingerprintSize()

Specified by:
  `getHeaderFingerprintSize` in interface `FactoryModule`

#### canHandleResource

    public int canHandleResource(ResourceManager caller,
                        ResourceData data)
                          throws ResourceCreationException,
                                 ResourceLoadingException

Specified by:
  `canHandleResource` in interface `FactoryModule`
Throws:
  `ResourceCreationException`
  `ResourceLoadingException`